libsigc++ 2.3.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

lambda_core< T_type, I_islambda > Struct Template Reference

Abstracts lambda functionality. More...

`#include <sigc++/adaptors/lambda/base.h>`

## Detailed Description

### template<class T_type, bool I_islambda = is_base_and_derived<lambda_base, T_type>::value>
struct lambda_core< T_type, I_islambda >

Abstracts lambda functionality.

Objects of this type store a value that may be of type lambda itself. In this case, operator()() executes the lambda (a lambda is always a functor at the same time). Otherwise, operator()() simply returns the stored value.